diff --git a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileReviewServlet.java b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileReviewServlet.java
index 6c273311571907df795416f7a6bf266431204fdc..dd0ee7be78cf251d97536b7ad53d12bdc9ec196a 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileReviewServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileReviewServlet.java
@@ -236,7 +236,6 @@ public class ProfileReviewServlet extends ProfileServlet {
         CMS.debug("ProfileReviewServlet: profileSetId=" + profileSetId);
         Enumeration<String> policyIds = (profileSetId != null && profileSetId.length() > 0) ?
                                  profile.getProfilePolicyIds(profileSetId) : null;
-        int count = 0;
         ArgList list = new ArgList();
 
         if (policyIds != null) {
@@ -251,7 +250,6 @@ public class ProfileReviewServlet extends ProfileServlet {
                 //     http parameters
                 handlePolicy(list, response, locale,
                         id, policy, req);
-                count++;
             }
         }
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestDAO.java b/pki/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestDAO.java
index 623fa941f988d2a6156926adcbf0aa2ccdc4434a..8a32f5d8feb9e11e48641dfb1fc0104b56fd85d6 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestDAO.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/model/KeyRequestDAO.java
@@ -22,9 +22,7 @@ import java.util.ArrayList;
 import java.util.Hashtable;
 import java.util.List;
 
-import javax.ws.rs.WebApplicationException;
 import javax.ws.rs.core.MultivaluedMap;
-import javax.ws.rs.core.Response;
 import javax.ws.rs.core.UriBuilder;
 import javax.ws.rs.core.UriInfo;
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java b/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
index fc45395e9121a30e7758259849c360fdde08a334..c96a30a857230668481c63c0ab45ab8a582aeef1 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
@@ -43,7 +43,6 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IPrettyPrintFormat;
 import com.netscape.certsrv.base.SessionContext;
-import com.netscape.certsrv.common.Constants;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.tks.ITKSAuthority;
 import com.netscape.cms.servlet.base.CMSServlet;
@@ -753,7 +752,7 @@ public class TokenServlet extends CMSServlet {
 
     private void processDiversifyKey(HttpServletRequest req,
             HttpServletResponse resp) throws EBaseException {
-        byte[] KeySetData, KeysValues, CUID, xCUID;
+        byte[] KeySetData, CUID, xCUID;
         byte[] xkeyInfo, xnewkeyInfo;
         boolean missingParam = false;
         String errorMsg = "";
@@ -825,7 +824,6 @@ public class TokenServlet extends CMSServlet {
             useSoftToken_s = "false";
 
         KeySetData = null;
-        String outputString = null;
         if (!missingParam) {
             xCUID = com.netscape.cmsutil.util.Utils.SpecialDecode(rCUID);
             if (xCUID == null || xCUID.length != 10) {
@@ -892,10 +890,6 @@ public class TokenServlet extends CMSServlet {
                             + ";to newMasterKeyName=" + newSelectedToken + ":" + newKeyNickName);
 
             resp.setContentType("text/html");
-
-            if (KeySetData != null) {
-                outputString = new String(KeySetData);
-            }
         } // ! missingParam
 
         //CMS.debug("TokenServlet:processDiversifyKey " +outputString);
@@ -1093,7 +1087,6 @@ public class TokenServlet extends CMSServlet {
         String value = "";
         String status = "0";
         if (encryptedData != null && encryptedData.length > 0) {
-            String outputString = new String(encryptedData);
             // sending both the pre-encrypted and encrypted data back
             value = "status=0&" + "data=" +
                          com.netscape.cmsutil.util.Utils.SpecialEncode(data) +
@@ -1342,9 +1335,6 @@ public class TokenServlet extends CMSServlet {
      */
     public void service(HttpServletRequest req, HttpServletResponse resp)
             throws ServletException, IOException {
-        String scope = req.getParameter(Constants.OP_SCOPE);
-        String op = req.getParameter(Constants.OP_TYPE);
-
         super.service(req, resp);
     }
 }
diff --git a/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java b/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
index 384b4cd67e37aed5f33e93fcfb4b234c2b7499db..5071a1c80dd845cbd629c83da5e3b0a3623d9329 100644
--- a/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
+++ b/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
@@ -17,7 +17,6 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmscore.apps;
 
-import java.io.BufferedReader;
 import java.io.ByteArrayOutputStream;
 import java.io.File;
 import java.io.IOException;
@@ -1563,8 +1562,6 @@ public class CMSEngine implements ICMSEngine {
 
             process.waitFor();
 
-            BufferedReader pOut = null;
-            String l = null;
         } catch (Exception e) {
 
         }
diff --git a/pki/base/common/src/com/netscape/cmscore/apps/Upgrade.java b/pki/base/common/src/com/netscape/cmscore/apps/Upgrade.java
index b5307c448ea9d50de3b1dffd86f67ccf23394818..326e9b5e6b4b5ff8a00c46aa9645a3e4b49181c8 100644
--- a/pki/base/common/src/com/netscape/cmscore/apps/Upgrade.java
+++ b/pki/base/common/src/com/netscape/cmscore/apps/Upgrade.java
@@ -162,7 +162,6 @@ public final class Upgrade {
             throws EBaseException {
         boolean isCA = false;
         boolean isRA = false;
-        boolean isKRA = false;
 
         // determine what subsystems do we have?
         IConfigStore cs = c.getSubStore("ca");
@@ -174,10 +173,6 @@ public final class Upgrade {
         if (cs != null && cs.size() > 0) {
             isRA = true;
         }
-        cs = c.getSubStore("kra");
-        if (cs != null && cs.size() > 0) {
-            isKRA = true;
-        }
 
         Setup.installAuthImpls(c);
         Setup.installOIDMap(c);
diff --git a/pki/base/common/src/com/netscape/cmscore/authentication/SSLClientCertAuthentication.java b/pki/base/common/src/com/netscape/cmscore/authentication/SSLClientCertAuthentication.java
index 19438037b19381d3892783ba55eceb2e2def225c..3f0d7a87b468cea1ec4d83a0134a034d0aead139 100644
--- a/pki/base/common/src/com/netscape/cmscore/authentication/SSLClientCertAuthentication.java
+++ b/pki/base/common/src/com/netscape/cmscore/authentication/SSLClientCertAuthentication.java
@@ -129,7 +129,6 @@ public class SSLClientCertAuthentication implements IAuthManager {
         }
 
         String clientCertIssuerDN = clientCert.getIssuerDN().toString();
-        BigInteger[] bigIntArray = null;
 
         if (mCertDB != null) { /* is CA */
             ICertRecord record = null;
diff --git a/pki/base/common/src/com/netscape/cmscore/base/PropConfigStore.java b/pki/base/common/src/com/netscape/cmscore/base/PropConfigStore.java
index 1cc0330c7792721f7fce930d7e95655094d0b3a2..482bcc7b979cd7611d2b7514815548db3fc31ab0 100644
--- a/pki/base/common/src/com/netscape/cmscore/base/PropConfigStore.java
+++ b/pki/base/common/src/com/netscape/cmscore/base/PropConfigStore.java
@@ -251,7 +251,7 @@ public class PropConfigStore implements IConfigStore, Cloneable {
      * @exception EBaseException failed to retrieve value
      */
     public String getString(String name) throws EBaseException {
-        String str = (String) get(name);
+        String str = get(name);
 
         if (str == null) {
             CMS.traceHashKey(mDebugType, getFullName(name), "<notpresent>");
@@ -629,7 +629,7 @@ public class PropConfigStore implements IConfigStore, Cloneable {
      */
     public IConfigStore getSubStore(String name) {
         String fullname = getFullName(name);
-        String reference = (String) mSource.get(fullname);
+        String reference = mSource.get(fullname);
 
         if (reference == null) {
             PropConfigStore ps = new PropConfigStore(fullname, mSource);
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java b/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
index 6ae37984057f41123f81fb49a2e6cd6fd8f4e8a2..0d004d3357bc818b11dd03c3d10b9f133e548c70 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
@@ -38,12 +38,10 @@ import netscape.security.x509.X509CertInfo;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
-import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.MetaInfo;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.dbs.EDBException;
-import com.netscape.certsrv.dbs.IDBRegistry;
 import com.netscape.certsrv.dbs.IDBSSession;
 import com.netscape.certsrv.dbs.IDBSearchResults;
 import com.netscape.certsrv.dbs.IDBSubsystem;
@@ -90,13 +88,7 @@ public class CertificateRepository extends Repository
             throws EDBException {
         super(dbService, increment, baseDN);
         mBaseDN = certRepoBaseDN;
-
         mDBService = dbService;
-
-        // registers CMS database attributes
-        IDBRegistry reg = dbService.getRegistry();
-
-        IConfigStore cfg = mDBService.getConfigStore();
     }
 
     public ICertRecord createCertRecord(BigInteger id, Certificate cert, MetaInfo meta) {
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/DBVirtualList.java b/pki/base/common/src/com/netscape/cmscore/dbs/DBVirtualList.java
index 934cf1ea0f7fab6d45130f652e211671c76706c7..574ab41c0eea50fd210aac90d20a0ee0e9be84f2 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/DBVirtualList.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/DBVirtualList.java
@@ -640,8 +640,6 @@ public class DBVirtualList<E> implements IDBVirtualList<E> {
          * the caller should really check the index is within bound before this
          * but I'll take care of this just in case they are too irresponsible
          */
-        int baseJumpTo = 0;
-
         if (!mInitialized)
             mSize = getSize();
 
diff --git a/pki/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java b/pki/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java
index bba95949da0277de79c61b230fee5abd54229c3a..dc4423357b079babf0ef1cb44fc65f9431d0bc07 100644
--- a/pki/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java
+++ b/pki/base/common/src/com/netscape/cmscore/extensions/KeyUsage.java
@@ -19,7 +19,6 @@ package com.netscape.cmscore.extensions;
 
 import java.io.IOException;
 
-import netscape.security.util.DerOutputStream;
 import netscape.security.util.ObjectIdentifier;
 import netscape.security.x509.Extension;
 import netscape.security.x509.KeyUsageExtension;
@@ -196,7 +195,6 @@ public class KeyUsage implements ICMSExtension {
             ext = (KeyUsageExtension) extension;
         } else {
             try {
-                DerOutputStream der = new DerOutputStream();
                 byte[] value = extension.getExtensionValue();
 
                 ext = new KeyUsageExtension(new Boolean(true), value);
diff --git a/pki/base/common/src/com/netscape/cmscore/jobs/JobsScheduler.java b/pki/base/common/src/com/netscape/cmscore/jobs/JobsScheduler.java
index 654f3e494475f1a4ca4673aa07ded16c1982fc6b..79225a13f860563689fe907d30d47c2e0e2d7fd8 100644
--- a/pki/base/common/src/com/netscape/cmscore/jobs/JobsScheduler.java
+++ b/pki/base/common/src/com/netscape/cmscore/jobs/JobsScheduler.java
@@ -156,21 +156,19 @@ public class JobsScheduler implements Runnable, IJobsScheduler {
 
                 // register the job
                 mJobs.put(jobName, job);
+
             } catch (ClassNotFoundException e) {
-                String errMsg = "JobsScheduler:: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_JOBS_INIT_ERROR", e.toString()));
                 throw new EJobsException(CMS.getUserMessage("CMS_JOB_LOAD_CLASS_FAILED", classPath));
+
             } catch (IllegalAccessException e) {
-                String errMsg = "JobsScheduler:: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_JOBS_INIT_ERROR", e.toString()));
                 throw new EJobsException(CMS.getUserMessage("CMS_JOB_LOAD_CLASS_FAILED", classPath));
+
             } catch (InstantiationException e) {
-                String errMsg = "JobsScheduler: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_JOBS_INIT_ERROR", e.toString()));
                 throw new EJobsException(CMS.getUserMessage("CMS_JOB_LOAD_CLASS_FAILED", classPath));
+
             } catch (EBaseException e) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_JOBS_INIT_ERROR", e.toString()));
                 throw e;
@@ -237,7 +235,7 @@ public class JobsScheduler implements Runnable, IJobsScheduler {
                 try {
                     Thread.sleep(duration);
                 } catch (InterruptedException e) {
-                    System.out.println(e.toString());
+                    System.out.println(e);
                 }
             }
             // if (duration == 0), it's time
@@ -494,19 +492,19 @@ public class JobsScheduler implements Runnable, IJobsScheduler {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSCORE_JOBS_CREATE_NEW", e.toString()));
             if (Debug.ON)
-                Debug.trace("class NOT instantiated: " + e.toString());
+                Debug.trace("class NOT instantiated: " + e);
             throw new EJobsException(CMS.getUserMessage("CMS_JOB_LOAD_CLASS_FAILED", className));
         } catch (ClassNotFoundException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSCORE_JOBS_CREATE_NEW", e.toString()));
             if (Debug.ON)
-                Debug.trace("class NOT instantiated: " + e.toString());
+                Debug.trace("class NOT instantiated: " + e);
             throw new EJobsException(CMS.getUserMessage("CMS_JOB_LOAD_CLASS_FAILED", className));
         } catch (IllegalAccessException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSCORE_JOBS_CREATE_NEW", e.toString()));
             if (Debug.ON)
-                Debug.trace("class NOT instantiated: " + e.toString());
+                Debug.trace("class NOT instantiated: " + e);
             throw new EJobsException(CMS.getUserMessage("CMS_JOB_LOAD_CLASS_FAILED", className));
         }
     }
diff --git a/pki/base/common/src/com/netscape/cmscore/ldap/PublisherProcessor.java b/pki/base/common/src/com/netscape/cmscore/ldap/PublisherProcessor.java
index a0bc2d1450afa0d72f1860040ed258b623e01252..147eee07e9466b47afbc34960b983178ab8daf04 100644
--- a/pki/base/common/src/com/netscape/cmscore/ldap/PublisherProcessor.java
+++ b/pki/base/common/src/com/netscape/cmscore/ldap/PublisherProcessor.java
@@ -154,20 +154,17 @@ public class PublisherProcessor implements
                 isEnable = true;
 
             } catch (ClassNotFoundException e) {
-                String errMsg = "PublisherProcessor:: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_PUBLISHER_INIT_FAILED", e.toString()));
                 throw new ELdapException(CMS.getUserMessage("CMS_LDAP_FAIL_LOAD_CLASS", className));
+
             } catch (IllegalAccessException e) {
-                String errMsg = "PublisherProcessor:: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_PUBLISHER_INIT_FAILED", e.toString()));
                 throw new ELdapException(CMS.getUserMessage("CMS_LDAP_FAIL_LOAD_CLASS", className));
+
             } catch (InstantiationException e) {
-                String errMsg = "PublisherProcessor: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_PUBLISHER_INIT_FAILED", e.toString()));
                 throw new ELdapException(CMS.getUserMessage("CMS_LDAP_FAIL_LOAD_CLASS", className));
+
             } catch (Throwable e) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_SKIP_PUBLISHER", insName, e.toString()));
                 // Let the server continue if it is a
@@ -241,20 +238,17 @@ public class PublisherProcessor implements
                 mapperInst.init(mConfig);
                 isEnable = true;
             } catch (ClassNotFoundException e) {
-                String errMsg = "PublisherProcessor:: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_PUBLISHER_INIT_FAILED", e.toString()));
                 throw new ELdapException(CMS.getUserMessage("CMS_LDAP_FAIL_LOAD_CLASS", className));
+
             } catch (IllegalAccessException e) {
-                String errMsg = "PublisherProcessor:: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_PUBLISHER_INIT_FAILED", e.toString()));
                 throw new ELdapException(CMS.getUserMessage("CMS_LDAP_FAIL_LOAD_CLASS", className));
+
             } catch (InstantiationException e) {
-                String errMsg = "PublisherProcessor: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_PUBLISHER_INIT_FAILED", e.toString()));
                 throw new ELdapException(CMS.getUserMessage("CMS_LDAP_FAIL_LOAD_CLASS", className));
+
             } catch (Throwable e) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_SKIP_MAPPER", insName, e.toString()));
                 // Let the server continue if it is a
@@ -331,20 +325,17 @@ public class PublisherProcessor implements
                 log(ILogger.LL_INFO, "rule instance " +
                         insName + " added");
             } catch (ClassNotFoundException e) {
-                String errMsg = "PublisherProcessor:: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_PUBLISHER_INIT_FAILED", e.toString()));
                 throw new ELdapException(CMS.getUserMessage("CMS_LDAP_FAIL_LOAD_CLASS", className));
+
             } catch (IllegalAccessException e) {
-                String errMsg = "PublisherProcessor:: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_PUBLISHER_INIT_FAILED", e.toString()));
                 throw new ELdapException(CMS.getUserMessage("CMS_LDAP_FAIL_LOAD_CLASS", className));
+
             } catch (InstantiationException e) {
-                String errMsg = "PublisherProcessor: init()-" + e.toString();
-
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_LDAP_PUBLISHER_INIT_FAILED", e.toString()));
                 throw new ELdapException(CMS.getUserMessage("CMS_LDAP_FAIL_LOAD_CLASS", className));
+
             } catch (Throwable e) {
                 if (mConfig == null) {
                     throw new ELdapException(CMS.getUserMessage("CMS_LDAP_FAIL_LOAD_CLASS", className));
@@ -612,7 +603,7 @@ public class PublisherProcessor implements
     public Vector<String> getMapperInstanceParams(String insName) throws
             ELdapException {
         ILdapMapper mapperInst = null;
-        MapperProxy proxy = (MapperProxy) mMapperInsts.get(insName);
+        MapperProxy proxy = mMapperInsts.get(insName);
 
         if (proxy == null) {
             return null;
@@ -629,8 +620,7 @@ public class PublisherProcessor implements
     public Vector<String> getPublisherDefaultParams(String implName) throws
             ELdapException {
         // is this a registered implname?
-        PublisherPlugin plugin = (PublisherPlugin)
-                mPublisherPlugins.get(implName);
+        PublisherPlugin plugin = mPublisherPlugins.get(implName);
 
         if (plugin == null) {
             log(ILogger.LL_FAILURE,
@@ -841,7 +831,7 @@ public class PublisherProcessor implements
                     "Cannot mark cert 0x" + serialNo.toString(16)
                     + " published as " + published
                     + " in the ldap directory. Cert Record not found. Error: "
-                    + e.toString() 
+                    + e
                     + " Don't be alarmed if it's a subordinate ca or clone's ca siging cert. " 
                     + "Otherwise your internal db may be corrupted.");
         }
@@ -903,10 +893,10 @@ public class PublisherProcessor implements
             } catch (Exception e) {
                 // continue publishing even publisher has errors
                 //log(ILogger.LL_WARN, e.toString());
-                CMS.debug("PublisherProcessor::publishCACert returned error: " + e.toString());
+                CMS.debug("PublisherProcessor::publishCACert returned error: " + e);
                 error = true;
                 errorRule = errorRule + " " + rule.getInstanceName() +
-                        " error:" + e.toString();
+                        " error:" + e;
             }
         }
         // set the ldap published flag.
@@ -989,7 +979,6 @@ public class PublisherProcessor implements
      */
     public void publishXCertPair(byte[] pair)
             throws ELdapException {
-        boolean error = false;
         String errorRule = "";
 
         if (!enabled())
@@ -1036,11 +1025,10 @@ public class PublisherProcessor implements
             } catch (Exception e) {
                 // continue publishing even publisher has errors
                 //log(ILogger.LL_WARN, e.toString());
-                error = true;
                 errorRule = errorRule + " " + rule.getInstanceName() +
-                        " error:" + e.toString();
+                        " error:" + e;
 
-                CMS.debug("PublisherProcessor::publishXCertPair: error: " + e.toString());
+                CMS.debug("PublisherProcessor::publishXCertPair: error: " + e);
             }
         }
     }
@@ -1248,7 +1236,7 @@ public class PublisherProcessor implements
                     error = true;
                     errorRule = errorRule + " " + rule.getInstanceName();
 
-                    CMS.debug("PublisherProcessor::publishCRL: error: " + e.toString());
+                    CMS.debug("PublisherProcessor::publishCRL: error: " + e);
                 }
             }
         } catch (ELdapException e) {
@@ -1306,15 +1294,15 @@ public class PublisherProcessor implements
                     }
                 } catch (Exception e) {
                     CMS.debug(
-                            "Error publishing CRL to " + dn + ": " + e.toString());
+                            "Error publishing CRL to " + dn + ": " + e);
                     error = true;
                     errorRule = errorRule + " " + rule.getInstanceName();
-                    CMS.debug("PublisherProcessor::publishCRL: error: " + e.toString());
+                    CMS.debug("PublisherProcessor::publishCRL: error: " + e);
                 }
             }
         } catch (ELdapException e) {
             CMS.debug(
-                    "Error publishing CRL to " + dn + ": " + e.toString());
+                    "Error publishing CRL to " + dn + ": " + e);
             throw e;
         } finally {
             if (conn != null) {
diff --git a/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapAnonConnFactory.java b/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapAnonConnFactory.java
index f7a7722320aae93f493d5d464cb215ac7905d20e..dc4c86547266b9aa1b3c6ddc835f124a9e7d9cf6 100644
--- a/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapAnonConnFactory.java
+++ b/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapAnonConnFactory.java
@@ -344,10 +344,6 @@ public class LdapAnonConnFactory implements ILdapConnFactory {
         if (anon.getFacId() != mConns) {
             // returning a connection not from this factory. 
             log(ILogger.LL_WARN, "returnConn: unknown connection.");
-
-            /* swallow this error but see who's doing it. */
-            ELdapException e =
-                    new ELdapException(CMS.getUserMessage("CMS_LDAP_UNKNOWN_RETURNED_CONN"));
         }
         // check if conn has already been returned.
         for (int i = 0; i < mNumConns; i++) {
@@ -357,8 +353,6 @@ public class LdapAnonConnFactory implements ILdapConnFactory {
                 /* swallow this error but see who's doing it. */
                 log(ILogger.LL_WARN,
                         "returnConn: previously returned connection.");
-                ELdapException e =
-                        new ELdapException(CMS.getUserMessage("CMS_LDAP_BAD_RETURNED_CONN"));
             }
         }
 
diff --git a/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapBoundConnFactory.java b/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapBoundConnFactory.java
index 64f22d30225d286ab6bbeb90dfa41767d6b04d0e..b4839f7d50a2550d60b5999a046b3134106afdfa 100644
--- a/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapBoundConnFactory.java
+++ b/pki/base/common/src/com/netscape/cmscore/ldapconn/LdapBoundConnFactory.java
@@ -417,19 +417,11 @@ public class LdapBoundConnFactory implements ILdapBoundConnFactory {
 
         if (boundconn.getFacId() != mConns) {
             log(ILogger.LL_WARN, "returnConn: unknown connection.");
-
-            /* swallow this exception but see who's doing it. */
-            ELdapException e =
-                    new ELdapException(CMS.getUserMessage("CMS_LDAP_UNKNOWN_RETURNED_CONN"));
         }
         for (int i = 0; i < mNumConns; i++) {
             if (mConns[i] == conn) {
                 CMS.debug(
                         "returnConn: previously returned connection.");
-
-                /* swallow this exception but see who's doing it */
-                ELdapException e =
-                        new ELdapException(CMS.getUserMessage("CMS_LDAP_BAD_RETURNED_CONN"));
             }
         }
         mConns[mNumConns++] = boundconn;
diff --git a/pki/base/common/src/com/netscape/cmscore/logging/LogSubsystem.java b/pki/base/common/src/com/netscape/cmscore/logging/LogSubsystem.java
index 8ac304f8c7d04f5d3258bfd15c8a4d1310e9b38b..1cfce4e65ba5416ed6ccbd57ca545ae510ca3f89 100644
--- a/pki/base/common/src/com/netscape/cmscore/logging/LogSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/logging/LogSubsystem.java
@@ -126,17 +126,14 @@ public class LogSubsystem implements ILogSubsystem {
                 // for view from console
 
             } catch (ClassNotFoundException e) {
-                String errMsg = "LogSubsystem:: init()-" + e.toString();
-
                 throw new EBaseException(insName + ":Failed to instantiate class " + className);
+
             } catch (IllegalAccessException e) {
-                String errMsg = "LogSubsystem:: init()-" + e.toString();
-
                 throw new EBaseException(insName + ":Failed to instantiate class " + className);
+
             } catch (InstantiationException e) {
-                String errMsg = "LogSubsystem:: init()-" + e.toString();
-
                 throw new EBaseException(insName + ":Failed to instantiate class " + className);
+
             } catch (Throwable e) {
                 e.printStackTrace();
                 throw new EBaseException(insName
diff --git a/pki/base/common/src/com/netscape/cmscore/notification/EmailTemplate.java b/pki/base/common/src/com/netscape/cmscore/notification/EmailTemplate.java
index 0a1a05f6efc1ad754e086d640ce7b43ccd5338a4..bdc16a24e3576186199b94092b281beaf628c88b 100644
--- a/pki/base/common/src/com/netscape/cmscore/notification/EmailTemplate.java
+++ b/pki/base/common/src/com/netscape/cmscore/notification/EmailTemplate.java
@@ -78,9 +78,7 @@ public class EmailTemplate implements IEmailTemplate {
 
         /* check if file exists and is accessible */
         if ((!template.exists()) || (!template.canRead()) || (template.isDirectory())) {
-            String error = "Template: " + mTemplateFile + " does not exist or invalid";
-
-            log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_NOTIFY_TEMPLATE_NOT_EXIST"));
+            log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_NOTIFY_TEMPLATE_NOT_EXIST", mTemplateFile));
             return false;
         }
 
@@ -90,9 +88,7 @@ public class EmailTemplate implements IEmailTemplate {
         try {
             input = new FileReader(template);
         } catch (FileNotFoundException e) {
-            String error = "Template: " + mTemplateFile + " not found";
-
-            log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_NOTIFY_TEMPLATE_NOT_FOUND"));
+            log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_NOTIFY_TEMPLATE_NOT_FOUND", mTemplateFile));
 
             return false;
         }
@@ -100,8 +96,6 @@ public class EmailTemplate implements IEmailTemplate {
         /* load template */
         mFileContents = loadFile(input);
         if (mFileContents == null) {
-            String error = "Template: Error loading file into string";
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_NOTIFY_TEMPLATE_LOAD_ERROR"));
             return false;
         }
@@ -159,8 +153,6 @@ public class EmailTemplate implements IEmailTemplate {
                 buf.append("\n");
             }
         } catch (IOException e) {
-            String error = "Template: Error loading file";
-
             log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSCORE_NOTIFY_TEMPLATE_LOADING"));
             return null;
         }
diff --git a/pki/base/common/src/com/netscape/cmscore/policy/PolicySet.java b/pki/base/common/src/com/netscape/cmscore/policy/PolicySet.java
index 37780cfc2cc2539f4bc3edaead1dfc0a6d9456ca..bd38138ff0aa22124f99288b8859ee29e425706e 100644
--- a/pki/base/common/src/com/netscape/cmscore/policy/PolicySet.java
+++ b/pki/base/common/src/com/netscape/cmscore/policy/PolicySet.java
@@ -152,9 +152,8 @@ public class PolicySet implements IPolicySet {
      */
     public PolicyResult apply(IRequest req) {
         // If there are no rules, we are done.
-        int cnt;
 
-        if ((cnt = mRules.size()) == 0)
+        if (mRules.size() == 0)
             return PolicyResult.ACCEPTED;
 
         // All policies are applied before returning the result. Hence
